/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 * 
 *  Copyright (C) 2012 Meika Sugimoto
 * 
 *  L쌠҂́CFree Software Foundation ɂČ\Ă 
 *  GNU General Public License  Version 2 ɋLqĂC
 *  (1)`(4)̏𖞂ꍇɌC{\tgEFAi{\tgEF
 *  Aς̂܂ށDȉjgpEEρEĔzziȉC
 *  pƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFAėp\ȃoCiR[hiP[^uIu
 *      WFNgt@C⃉CuȂǁǰ`ŗpꍇɂ́Cp
 *      ɔhLgip҃}jAȂǁjɁCL̒쌠\C
 *      ̗pщL̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAėps\ȃoCiR[ȟ`܂͋@ɑg
 *      ݍ񂾌`ŗpꍇɂ́Ĉꂩ̏𖞂ƁD
 *    (a) pɔhLgip҃}jAȂǁjɁCL̒
 *        \C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) p̌`ԂCʂɒ߂@ɂāCL쌠҂ɕ񍐂
 *        ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂Ɛӂ邱ƁD
 * 
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂́C
 *  {\tgEFAɊւāC̓Kp\܂߂āCȂۏ؂s
 *  ȂD܂C{\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ
 *  Ȃ鑹QɊւĂC̐ӔC𕉂ȂD
 * 
 */

/*
 *  ^[Qbg{[hɊւ`(CQ-FRM-FM3p)
 */

#ifndef TOPPERS_CQ_FRM_FM3_H
#define TOPPERS_CQ_FRM_FM3_H

#include <sil.h>

#include "MB9BF618T.h"

/*
 *  OIV[^NbN̒`
 */

#define OSC_CLOCK		(4 * 1000 * 1000)	/* 4MHz */

/*
 *  OIV[^ɐVXeNbN֘A̒`
 */

/* PLLNbN */
#define PLLK_VALUE	(1)
#define PLLN_VALUE	(36)
#define PLLM_VALUE	(2)

/* (((OSC_CLOCK / PLLK) * PLLN) * PLLM) / PLLM = OSC_CLOCK / PLLK * PLLN */
#define PLL_CLOCK		(144 * 1000 * 1000)

#define BASE_CLOCK		(PLL_CLOCK)
#define PCLK0_CLOCK		(PLL_CLOCK / 8)	/* 18MHz */
#define PCLK1_CLOCK		(PLL_CLOCK / 8)	/* 18MHz */
#define PCLK2_CLOCK		(PLL_CLOCK / 8)	/* 18MHz */

#define SYSTIC_CLOCK	(PLL_CLOCK)	/* 18MHz */

/* VAʐM{[[gݒ(oXNbN18MHz̏ꍇ̐ݒ) */
#define BGR_VALUE_115200BPS		(155)
#define BGR_VALUE_57600BPS		(311)
#define BGR_VALUE_38400BPS		(467)
#define BGR_VALUE_9600BPS		(1874)


#ifndef TOPPERS_MACRO_ONLY

#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_CQ_FRM_FM3_H */
